// tcl wrapper for vtkImageColorMerge object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageColorMerge.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkImageColorMergeNewCommand()
{
  vtkImageColorMerge *temp = vtkImageColorMerge::New();
  return ((ClientData)temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageColorMergeCppCommand(vtkImageColorMerge *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageColorMergeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageColorMergeCppCommand((vtkImageColorMerge *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageColorMergeCppCommand(vtkImageColorMerge *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageColorMerge",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkThreadedImageAlgorithm", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageColorMerge  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageColorMerge");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageColorMerge  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageColorMerge");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageColorMerge  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageColorMerge");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkColorTransferFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColorTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkColorTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntensityTransferFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkIntensityTransferFunction  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetIntensityTransferFunction(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkIntensityTransferFunction");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLookupTable",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkColorTransferFunction",interp,error));
    if (!error)
    {
    op->AddLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddIntensityTransferFunction",argv[1]))&&(argc == 3))
    {
    vtkIntensityTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkIntensityTransferFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkIntensityTransferFunction",interp,error));
    if (!error)
    {
    op->AddIntensityTransferFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetITFCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetITFCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCTFCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCTFCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BuildAlphaOn",argv[1]))&&(argc == 2))
    {
    op->BuildAlphaOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildAlphaOff",argv[1]))&&(argc == 2))
    {
    op->BuildAlphaOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBuildAlpha",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBuildAlpha(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBuildAlpha",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBuildAlpha();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MaximumModeOn",argv[1]))&&(argc == 2))
    {
    op->MaximumModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaximumModeOff",argv[1]))&&(argc == 2))
    {
    op->MaximumModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LuminanceModeOn",argv[1]))&&(argc == 2))
    {
    op->LuminanceModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LuminanceModeOff",argv[1]))&&(argc == 2))
    {
    op->LuminanceModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLuminanceMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLuminanceMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLuminanceMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLuminanceMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AverageModeOn",argv[1]))&&(argc == 2))
    {
    op->AverageModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AverageModeOff",argv[1]))&&(argc == 2))
    {
    op->AverageModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAverageMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAverageMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAverageMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAverageMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAverageThreshold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAverageThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAverageThreshold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAverageThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkImageColorMergeCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageColorMerge:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntensityTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddIntensityTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetITFCount\n",NULL);
    Tcl_AppendResult(interp,"  GetCTFCount\n",NULL);
    Tcl_AppendResult(interp,"  BuildAlphaOn\n",NULL);
    Tcl_AppendResult(interp,"  BuildAlphaOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBuildAlpha\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBuildAlpha\n",NULL);
    Tcl_AppendResult(interp,"  MaximumModeOn\n",NULL);
    Tcl_AppendResult(interp,"  MaximumModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumMode\n",NULL);
    Tcl_AppendResult(interp,"  LuminanceModeOn\n",NULL);
    Tcl_AppendResult(interp,"  LuminanceModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLuminanceMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLuminanceMode\n",NULL);
    Tcl_AppendResult(interp,"  AverageModeOn\n",NULL);
    Tcl_AppendResult(interp,"  AverageModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAverageMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAverageMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAverageThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAverageThreshold\n",NULL);
    return TCL_OK;
    }

  if (vtkThreadedImageAlgorithmCppCommand((vtkThreadedImageAlgorithm *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
