// python wrapper for vtkOpenGLExtensionManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include "vtkOpenGLExtensionManager.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOpenGLExtensionManagerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOpenGLExtensionManagerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkOpenGLExtensionManager_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  const char    *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  vtkOpenGLExtensionManager  *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOpenGLExtensionManager  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOpenGLExtensionManager::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_GetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  vtkRenderWindow  *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::GetRenderWindow();
      }
    else
      {
      temp20 = op->GetRenderWindow();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_SetRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLExtensionManager::SetRenderWindow(temp0);
      }
    else
      {
      op->SetRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLExtensionManager::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_GetExtensionsString(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"")))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::GetExtensionsString();
      }
    else
      {
      temp20 = op->GetExtensionsString();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_ExtensionSupported(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  int      temp20;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOpenGLExtensionManager::ExtensionSupported(temp0);
      }
    else
      {
      temp20 = op->ExtensionSupported(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOpenGLExtensionManager_LoadExtension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOpenGLExtensionManager *op;

  char    *temp0;
  if ((op = (vtkOpenGLExtensionManager *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0)))
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOpenGLExtensionManager::LoadExtension(temp0);
      }
    else
      {
      op->LoadExtension(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOpenGLExtensionManagerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOpenGLExtensionManager_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOpenGLExtensionManager_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOpenGLExtensionManager_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOpenGLExtensionManager\nC++: vtkOpenGLExtensionManager *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOpenGLExtensionManager_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOpenGLExtensionManager\nC++: vtkOpenGLExtensionManager *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetRenderWindow",                (PyCFunction)PyvtkOpenGLExtensionManager_GetRenderWindow, 1,
   (char*)"V.GetRenderWindow() -> vtkRenderWindow\nC++: vtkRenderWindow *GetRenderWindow ();\n\n Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n"},
  {(char*)"SetRenderWindow",                (PyCFunction)PyvtkOpenGLExtensionManager_SetRenderWindow, 1,
   (char*)"V.SetRenderWindow(vtkRenderWindow)\nC++: virtual void SetRenderWindow (vtkRenderWindow *renwin);\n\n Set/Get the render window to query extensions on.  If set to null,\n justs queries the current render window.\n"},
  {(char*)"Update",                (PyCFunction)PyvtkOpenGLExtensionManager_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Updates the extensions string.\n"},
  {(char*)"GetExtensionsString",                (PyCFunction)PyvtkOpenGLExtensionManager_GetExtensionsString, 1,
   (char*)"V.GetExtensionsString() -> string\nC++: char *GetExtensionsString ();\n\n Returns a string listing all available extensions.  Call Update first\n to validate this string.\n"},
  {(char*)"ExtensionSupported",                (PyCFunction)PyvtkOpenGLExtensionManager_ExtensionSupported, 1,
   (char*)"V.ExtensionSupported(string) -> int\nC++: virtual int ExtensionSupported (const char *name);\n\n Returns true if the extension is supported, false otherwise.\n"},
  {(char*)"LoadExtension",                (PyCFunction)PyvtkOpenGLExtensionManager_LoadExtension, 1,
   (char*)"V.LoadExtension(string)\nC++: virtual void LoadExtension (const char *name);\n\n Loads all the functions associated with the given extension into the\n appropriate static members of vtkgl.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOpenGLExtensionManagerDoc[] = {
  (char*)"vtkOpenGLExtensionManager - Interface class for querying and using OpenGL extensions.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)"\n vtkOpenGLExtensionManager acts as an interface to OpenGL extensions.  It\n provides methods to query OpenGL extensions on the current or a given\n render window and to load extension function pointers.  Currently does\n not support GLU extensions since the GLU library is not linked to VTK.\n\n Before using vtkOpenGLExtensionManager, an OpenGL context must be created.\n This is generally done with a vt",
  (char*)"kRenderWindow.  Note that simply creating\n the vtkRenderWindow is not sufficient.  Usually you have to call Render\n before the actual OpenGL context is created.  You can specify the\n RenderWindow with the SetRenderWindow method.\n \\code\n vtkOpenGLExtensionManager *extensions = vtkOpenGLExtensionManager::New();\n extensions->SetRenderWindow(renwin);\n \\endcode\n If no vtkRenderWindow is specified, the ",
  (char*)"current OpenGL context (if any)\n is used.\n\n Generally speaking, when using OpenGL extensions, you will need an\n vtkOpenGLExtensionManager and the prototypes defined in vtkgl.h.\n \\code\n #include \"vtkOpenGLExtensionManager.h\"\n #include \"vtkgl.h\"\n \\endcode\n The vtkgl.h include file contains all the constants and function\n pointers required for using OpenGL extensions in a portable and\n namespace safe",
  (char*)" way.  vtkgl.h is built from parsed glext.h, glxext.h, and\n wglext.h files.  Snapshots of these files are distributed with vtkSNL,\n but you can also set CMake options to use other files.\n\n To use an OpenGL extension, you first need to make an instance of\n vtkOpenGLExtensionManager and give it a vtkRenderWindow.  You can then\n query the vtkOpenGLExtensionManager to see if the extension is supported",
  (char*)"\n with the ExtensionSupported method.  Valid names for extensions are\n given in the OpenGL extension registry at\n \\ref http://oss.sgi.com/projects/ogl-sample/registry/ .\n You can also grep vtkgl.h (which will be in the binary build directory\n if vtkSNL is not installed) for appropriate names.  There are also\n special extensions GL_VERSION_X_X (where X_X is replaced with a major\n and minor version,",
  (char*)" respectively) which contain all the constants and\n functions for OpenGL versions for which the gl.h header file is of an\n older version than the driver.\n\n \\code\n if (   !extensions->ExtensionSupported(\"GL_VERSION_1_2\")\n     || !extensions->ExtensionSupported(\"GL_ARB_multitexture\") ) {\n  {\n    vtkErrorMacro(\"Required extensions not supported!\");\n  }\n \\endcode\n\n Once you have verified that the exte",
  (char*)"nsions you want exist, before you\n use them you have to loaded them with the LoadExtension method.\n\n \\code\n extensions->LoadExtension(\"GL_VERSION_1_2\");\n extensions->LoadExtension(\"GL_ARB_multitexture\");\n \\endcode\n\n Once you have queried and loaded all of the extensions you need, you can\n delete the vtkExtensionManager.  To use a constant of an extension, simply\n replace the \"GL_\" prefix with \"vtk",
  (char*)"gl::\".  Likewise, replace the \"gl\" prefix\n of functions with \"vtkgl::\".  In rare cases, an extension will add a type.\n In this case, add vtkgl:: to the type (i.e. vtkgl::GLchar).\n\n \\code\n extensions->Delete();\n ...\n vtkgl::ActiveTexture(vtkgl::TEXTURE0_ARB);\n \\endcode\n For wgl extensions, replace the \"WGL_\" and \"wgl\" prefixes with\n \"vtkwgl::\".  For glX extensions, replace the \"GLX_\" and \"glX\" pref",
  (char*)"ixes\n with \"vtkglX::\".\n\n\n",
  NULL
};

static vtkObjectBase *vtkOpenGLExtensionManagerStaticNew()
{
  return vtkOpenGLExtensionManager::New();
}

PyObject *PyVTKClass_vtkOpenGLExtensionManagerNew(char *modulename)
{
  return PyVTKClass_New(&vtkOpenGLExtensionManagerStaticNew,
                        PyvtkOpenGLExtensionManagerMethods,
                        (char*)"vtkOpenGLExtensionManager",modulename,
                        (char**)vtkOpenGLExtensionManagerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

